For the complete documentation index, see llms.txt. This page is also available as Markdown.

Target

Get

get

Get a list of the schedule setting's target native hosts.

Path parameters
Idinteger · int32Required

The ID of the Schedule setting for which to retrieve the target settings.

Body
object · GetScheduleTargetOptional
Responses
200

Success

application/json; api-version=1.0

Target Native Host

poolIdinteger · int32Optional

Pool Id

guidstring · nullableOptional

GUID

guestNamestring · nullableOptional

Guest Name

hostAzureIDstring · nullableOptional

Host Azure ID

get/api/Provider/VM/AVDHost/Schedule/{id}/Target
GET /api/Provider/VM/AVDHost/Schedule/{id}/Target HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 2

{}
[
  {
    "poolId": 1,
    "guid": "text",
    "guestName": "text",
    "hostAzureID": "text"
  }
]

Add

post

Add a Schedule target setting.

Path parameters
Idinteger · int32Required

The ID of the Schedule setting to modify.

Body
poolIdinteger · int32Required

Pool Id

guidstring · nullableOptional

GUID

guestNamestring · nullableOptional

Guest Name

hostAzureIDstring · nullableOptional

Host Azure ID

Responses
201

Created

No content

post/api/Provider/VM/AVDHost/Schedule/{id}/Target
POST /api/Provider/VM/AVDHost/Schedule/{id}/Target HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 66

{
  "poolId": 1,
  "guid": "text",
  "guestName": "text",
  "hostAzureID": "text"
}

No content

Delete

delete

Remove a Schedule target setting.

Path parameters
Idinteger · int32Required

The ID of a Schedule setting to remove.

Body
poolIdinteger · int32Required

Pool Id

guidstring · nullableOptional

GUID

guestNamestring · nullableOptional

Guest Name

hostAzureIDstring · nullableOptional

Host Azure ID

Responses
204

No Content

No content

delete/api/Provider/VM/AVDHost/Schedule/{id}/Target
DELETE /api/Provider/VM/AVDHost/Schedule/{id}/Target HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 66

{
  "poolId": 1,
  "guid": "text",
  "guestName": "text",
  "hostAzureID": "text"
}

No content